Page MenuHomePhabricator

Broken parent revisions on some old imported edits
Closed, ResolvedPublic

Description

Diff URL= https://en.wikipedia.org/w/index.php?title=Sony&diff=prev&oldid=452510102

That diff is for 8 May 2001 but if you look to the left the "older" (previous) diff is dated 25 September 2011.

The diffs are going backwards! I was trying to find the very first diff for [[[[Sony]]]]. I would have to do some major clicking to even get back to May 8. I have Windows XP Pro, Google Chrome Version 46.0.2490.71 m, browser, and the Vector skin. Please advise. Cheers! ~~~~

Event Timeline

Checkingfax raised the priority of this task from to Medium.
Checkingfax updated the task description. (Show Details)
Checkingfax added a subscriber: Checkingfax.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2015, 8:07 AM
Aklapper lowered the priority of this task from Medium to Lowest.Oct 20 2015, 10:58 AM

See https://en.wikipedia.org/w/index.php?title=Sony&diff=next&oldid=452510105 - those were imports of old edits.

Setting priority to lowest as this does not create any problems plus is from four years ago.

Aklapper renamed this task from Older diffs have newer date to Imported diffs from 2001 shown in History log between 2011 entries.Oct 20 2015, 10:59 AM
Aklapper added a project: MediaWiki-Page-Diffs.
Aklapper set Security to None.
Krenair added a subscriber: Krenair.

Interesting... If you go to https://en.wikipedia.org/w/index.php?title=Sony&action=history&year=2001&month=10&tagfilter= you see that the first three revisions have broken parent revisions set.

mysql> select page_id from page where page_namespace = 0 and page_title = 'Sony';
+---------+
| page_id |
+---------+
|   26989 |
+---------+
1 row in set (0.00 sec)

mysql> select rev_id, rev_page, rev_timestamp, rev_parent_id from revision where rev_page = 26989 order by rev_timestamp limit 5;
+-----------+----------+----------------+---------------+
| rev_id    | rev_page | rev_timestamp  | rev_parent_id |
+-----------+----------+----------------+---------------+
| 452510102 |    26989 | 20010508181904 |     452358134 |
| 452510104 |    26989 | 20011030102748 |     452358134 |
| 452510105 |    26989 | 20011030103457 |     452358134 |
|    280561 |    26989 | 20011030103722 |             0 |
|    280562 |    26989 | 20011101082136 |        280561 |
+-----------+----------+----------------+---------------+
5 rows in set (0.00 sec)

mysql> select rev_id, rev_page, rev_timestamp, rev_parent_id from revision where rev_id = 452358134;
+-----------+----------+----------------+---------------+
| rev_id    | rev_page | rev_timestamp  | rev_parent_id |
+-----------+----------+----------------+---------------+
| 452358134 |    26989 | 20110925142339 |     452357985 |
+-----------+----------+----------------+---------------+
1 row in set (0.00 sec)
Krenair renamed this task from Imported diffs from 2001 shown in History log between 2011 entries to Broken parent revisions on some old imported edits.Oct 20 2015, 11:03 AM

The broken parent revision is just for size diffs.

Sounds more like T4930

Import was https://en.wikipedia.org/w/index.php?title=Sony&diff=452510106&oldid=452358134 and the next rev id on that page is now used for the prev or next link

Checkingfax added a comment.EditedOct 22 2015, 6:28 PM

Interesting... If you go to https://en.wikipedia.org/w/index.php?title=Sony&action=history&year=2001&month=10&tagfilter= you see that the first three revisions have broken parent revisions set.

This data from the oldest displayed diff says that 58,058b were removed on May 8:

11:19, 8 May 2001‎ 198.133.22.xxx (talk)‎ . . (260 bytes) (-58,058)‎

Where is the version prior to that where the data was removed from? I want to see the very first diff for Sony ... the day it was created. Thank you.

The first 3 revisions acutally shown in the history were imported back in 2011. Due to a bug in the import (T114806) the size diff information are broken.

The version of the creation was https://en.wikipedia.org/w/index.php?title=Sony&oldid=280561 (which has a size diff from 0 to 406 bytes), the 3 versions before that are imported version, but I cannot say the reason for the import.

T38976 might be a duplicate?

Aklapper closed this task as Resolved.Aug 12 2019, 11:21 AM

Diff URL= https://en.wikipedia.org/w/index.php?title=Sony&diff=prev&oldid=452510102
That diff is for 8 May 2001 but if you look to the left the "older" (previous) diff is dated 25 September 2011.

Not the case anymore for the link given; there is now nothing to the left (in LTR) for this first revision.

I'm going to close this task as resolved, but please reopen if I misunderstood something or if you see something different. Thanks a lot!